#include <bits/stdc++.h>
using namespace std;
string s;
int res = 0, a, b;
int main() {
cin >> s;
for(int i = 0; i < s.size(); i++) {
    for (int j = s.size()-1; j > 0; j--) {
        if (s[i] == s[j]) {
            a = i;
            b = j;
            break;
        }
    }
}

for (int i = a; i <= b; i++) {
    if (s[i] != s[i+1]) {
        res++;
    }
}

cout<<res;
return 0;
}